EDIT - feature request #3697

Distinguish display of fossil and "normal” occurrence records in specimen map
09/03/2013 05:20 PM - Gabriele Droge

Status: New Start date:

Priority: Priority11 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

Fossil records are telling a different story of distribution/occurrence of a taxon than classical occurrence records. Therefore they
should be displayed in a different way in the specimen maps, otherwise a misinterpretation of the map is forseeable.

e.g. Cyanopica today only in Portugal/Spain and eastern Asia/China. Fossil records available for the whole area between Spain and
China.

| suggest at least a different color/pattern for the fossil bubbles in the specimen map. In worst case different colors/patterns are
required for different geological eras due to millions of years laying between them.

We should also think about creating a separate specimen map for the fossil records, maybe this is easier to implement and a
different color/pattern could be avoided?

Since | am currently on the way to include a lot of fossil records to the Corvids portal | would appreciate a solution for this.

Related issues:

Related to PhycoBank - bug #6069: DataPortal for Registry Closed
Related to EDIT - feature request #4488: Specimen data points in map should s... Closed
Related to EDIT - feature request #3363: dagger (Totenkreuz) after extinct an... In Progress
Related to EDIT - feature request #6113: webservice to expose FieldUnits rela... Closed
Related to EDIT - feature request #8307: display fossil in the context of the... New
History

#1 - 09/04/2013 12:58 PM - Andreas Kohlbecker

- Keywords set to map

| think we should allow differentiating between point representing observations, specimens and fossils.

We should also think about creating a separate specimen map for the fossil records, maybe this is easier to implement and a different
color/pattern could be avoided?

How about different layers in the same map? This is much easier to achieve at the moment.

#2 - 09/04/2013 12:59 PM - Andreas Kohlbecker
Replying to a.kohlbecker:

| think we should allow differentiating between point representing observations, specimens and fossils.
We should also think about creating a separate specimen map for the fossil records, maybe this is easier to implement and a different
color/pattern could be avoided?

How about different layers in the same map? This is much easier to achieve at the moment.

| forgot something to add: color/pattern is also easy to achieve, since it is already supported by the map service

#3 - 09/04/2013 04:36 PM - Gabriele Droge

Ok, then lets try different layers for the fossil/non-fossil problem please!
If different colors are easy to achieve | propose different colors for the specimen record aggregation problem. There is no specific ticket available yet,
but see also ticket #3277.

Example suggestion: Specimen records for a species should aggregate all subspecies/varieties records (all levels below). Those subspecies records
should be displayed with different colors. In case of genus level the different colors should be used for different species (but not grandchildren like
subspecies).

This different colors feature would be perfect both for fossil and non-fossil specimen records and should be optional in general.

If you want to create a new ticket for this color feature please cc Norbert, Henning and Eckhard as well.

#4 - 03/24/2015 03:45 PM - Andreas Kohlbecker
- Target version changed from cdm_dataportal RELEASE 3.5.0 to cdm_dataportal RELEASE 3.5.1

moving tickets to next milestone

#5 - 05/04/2015 05:10 PM - Andreas Miiller
- Target version deleted (cdm_dataportal RELEASE 3.5.1)

move open 3.5.1 tickets to next milestone after release

#6 - 06/04/2015 04:54 PM - Andreas Miiller

- Target version deleted ()

#7 - 07/22/2015 02:21 PM - Andreas Miiller
- Target version changed from cdm_dataportal RELEASE 3.8 to Reviewed Next Major Release
- Priority changed from Priority12 to Priority14

#8 - 09/12/2016 01:18 PM - Andreas Kohlbecker
- Related to bug #6069: DataPortal for Registry added

#9 - 09/29/2016 10:58 AM - Andreas Kohlbecker

- Related to feature request #4488: Specimen data points in map should show FieldUnit information added

#10 - 09/29/2016 01:16 PM - Andreas Kohlbecker

- Related to feature request #3363: dagger (Totenkreuz) after extinct and fossil taxa added

#11 - 12/10/2016 01:28 PM - Gabriele Drége
- Tags changed from map to map, corvidae

- Description updated

#12 - 02/19/2019 03:36 PM - Andreas Miiller
- Priority changed from Priority14 to Priority11

#13 - 04/08/2020 09:01 AM - Andreas Kohlbecker

- Related to feature request #6113: webservice to expose FieldUnits related to a Taxon or TaxonName as KML and/or GML added

#14 - 04/08/2020 09:01 AM - Andreas Kohlbecker

- Private changed from Yes to No

#15 - 03/02/2021 12:23 PM - Andreas Kohlbecker

- Related to feature request #8307: display fossil in the context of the taxon name added
